Subject: Nokia N900 retention mode in v4.6, camera buttons fun

From: [email-masked] (Pavel Machek)
Date: Sun, 1 May 2016 10:52:36 +0200

On Fri 2016-04-29 22:06:00, Sebastian Reichel wrote:
> Hi,
> 
> On Thu, Apr 21, 2016 at 03:04:50PM +0200, Pali Roh?r wrote:
> > > CONFIG_HSI breaks power management completely, so power management
> > > with modem will be another topic.  
> > 
> > Sebastian, any idea why power management does not work for HSI?
> 
> I wasn't aware, that pm_runtime_irq_safe() basically breaks runtime
> PM until Tony's fix for musb (even though it's logical when thinking
> about it). Currently omap-ssi and omap-ssi-port make use of
> pm_runtime_irq_safe().
> 
> Since pm_runtime_get_sync/pm_runtime_put_sync is called from
> tasklets in omap-ssi (and omap-ssi-port) it cannot be simply
> removed. So fixing PM for the ssi controller requires reworking
> the driver in a non trivial way.

I see latest series, and it also talks about frequency scaling. But I
guess it is not going to fix this issue?

Thanks,
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html